<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\Anwesenheiten\Anwesenheitseingabe;

class TeilnehmerView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/anwesenheiten/teilnehmer.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurstag->anw_bemerkung_input_disabled = $this->viewModel->anwBemerkungInputDisabled;

    return array($this->viewModel->kurstag);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurstage();
  }
}

class TeilnehmerViewModel
{
  public $kurstag;
  public $anwBemerkungInputDisabled;
}